## org.eclipse.amp.amf.parameters.aPar
Interface SweepLink

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Parameter

All Known Implementing Classes:
  SweepLinkImpl

    public interface SweepLink

extends Parameter

A representation of the model object 'Sweep Link'.

The following features are supported:

- `Parameters`

See Also:
  `AParPackage.getSweepLink()`

Method Summary
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParameters

    org.eclipse.emf.common.util.EList<Parameter> getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `AParPackage.getSweepLink_Parameters()`